summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorantirez <antirez@gmail.com>2014-02-28 16:00:00 +0100
committerantirez <antirez@gmail.com>2014-02-28 16:00:00 +0100
commita89c8bb87cdc0e734888d148c84eb7be63b18587 (patch)
tree07af28ac509c898b6aab2c5896945729c40762f7
parent8b8c1cd4c2a40a4a11dce3d072e3e53d8d89a1b1 (diff)
downloadredis-a89c8bb87cdc0e734888d148c84eb7be63b18587.tar.gz
Sentinel test: Makefile target added.
-rwxr-xr-xruntest-sentinel14
-rw-r--r--src/Makefile3
2 files changed, 17 insertions, 0 deletions
diff --git a/runtest-sentinel b/runtest-sentinel
new file mode 100755
index 000000000..1650eea73
--- /dev/null
+++ b/runtest-sentinel
@@ -0,0 +1,14 @@
+#!/bin/sh
+TCL_VERSIONS="8.5 8.6"
+TCLSH=""
+
+for VERSION in $TCL_VERSIONS; do
+ TCL=`which tclsh$VERSION 2>/dev/null` && TCLSH=$TCL
+done
+
+if [ -z $TCLSH ]
+then
+ echo "You need tcl 8.5 or newer in order to run the Redis Sentinel test"
+ exit 1
+fi
+$TCLSH tests/sentinel.tcl $*
diff --git a/src/Makefile b/src/Makefile
index 0b4cff7a1..c7fdf211e 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -204,6 +204,9 @@ distclean: clean
test: $(REDIS_SERVER_NAME) $(REDIS_CHECK_AOF_NAME)
@(cd ..; ./runtest)
+test-sentinel: $(REDIS_SENTINEL_NAME)
+ @(cd ..; ./runtest-sentinel)
+
check: test
lcov: